// Drv2K_PCI429_DSPioctl.h
//
// Define control codes for Drv2K_PCI429_DSP driver
//
 
#ifndef __Drv2K_PCI429_DSPioctl__h_
#define __Drv2K_PCI429_DSPioctl__h_
//   
#define DRV2K_PCI429_DSP_getSN		(0x800<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_getPRM		(0x801<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_getState		(0x802<<2)|(0x22<<16)

//  
#define DRV2K_PCI429_DSP_setFreq		(0x803<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_setKCR		(0x804<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_setKCI			(0x805<<2)|(0x22<<16)

// 
#define DRV2K_PCI429_DSP_writeKOP_0		(0x806<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeKOP_1		(0x807<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeKOP_2		(0x808<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeKOP_3		(0x809<<2)|(0x22<<16)


//   
#define DRV2K_PCI429_DSP_read_BKOP		(0x80A<<2)|(0x22<<16)


//   "" 
#define DRV2K_PCI429_DSP_read_KPM		(0x80B<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_read_KVM		(0x80C<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_read_KMP		(0x80D<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_read_KOMP	(0x80E<<2)|(0x22<<16)

//     
#define DRV2K_PCI429_DSP_write_KPM_blAdr1		(0x80F<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_write_KPM_blAdr2		(0x810<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_write_KPM_blDat1		(0x811<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_write_KPM_blDat2		(0x812<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_write_KVM_blAdr1		(0x813<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_write_KVM_blAdr2		(0x814<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_write_KMP_blAdr		(0x815<<2)|(0x22<<16)

//  
#define DRV2K_PCI429_DSP_read_KVM_blDat1		(0x816<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_read_KVM_blDat2		(0x817<<2)|(0x22<<16)
//   
//     
#define DRV2K_PCI429_DSP_writeBU_I		(0x818<<2)|(0x22<<16)
//     
#define DRV2K_PCI429_DSP_writeBU_O		(0x819<<2)|(0x22<<16)

//   
//     
#define DRV2K_PCI429_DSP_readBU_I		(0x820<<2)|(0x22<<16)
//     
#define DRV2K_PCI429_DSP_readBU_O		(0x821<<2)|(0x22<<16)

//     
//     
#define DRV2K_PCI429_DSP_readFL_I		(0x822<<2)|(0x22<<16)
//     
#define DRV2K_PCI429_DSP_readFL_O		(0x823<<2)|(0x22<<16)

//  
//     
#define DRV2K_PCI429_DSP_writeTab_I		(0x824<<2)|(0x22<<16)
//     
#define DRV2K_PCI429_DSP_writeTab_O		(0x825<<2)|(0x22<<16)

//     
#define DRV2K_PCI429_DSP_writeBKV		(0x826<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeBKV2		(0x827<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeBG		(0x828<<2)|(0x22<<16)

//  
#define DRV2K_PCI429_DSP_readMem		(0x829<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeMem		(0x82A<<2)|(0x22<<16)
//#define DRV2K_PCI429_DSP_readMemRA		(0x80D<<2)|(0x22<<16)
//#define DRV2K_PCI429_DSP_writeMemRA		(0x80E<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_readWord		(0x82B<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeWord	(0x82C<<2)|(0x22<<16)

//  
#define DRV2K_PCI429_DSP_readRA		(0x82D<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeRA		(0x82E<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_readRD		(0x82F<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeRD		(0x830<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_readRID		(0x831<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeRM		(0x832<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_readRDP		(0x833<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_readDP2		(0x83E<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeRDV		(0x834<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_readRV		(0x835<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeRV		(0x836<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeRCA		(0x83B<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeDV1		(0x83C<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writeDV2		(0x83D<<2)|(0x22<<16)


#define DRV2K_PCI429_DSP_IntInit		(0x837<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_IntRst		(0x838<<2)|(0x22<<16)

#define DRV2K_PCI429_DSP_readPK		(0x839<<2)|(0x22<<16)
#define DRV2K_PCI429_DSP_writePK		(0x83A<<2)|(0x22<<16)



#endif
